## org.apache.mahout.common.parameters
Class Parametered.ParameteredGeneralizations

    java.lang.Object
      org.apache.mahout.common.parameters.Parametered.ParameteredGeneralizations

Enclosing interface:
  Parametered

    public static final class Parametered.ParameteredGeneralizations

extends Object

"multiple inheritance"

Method Summary
`static String` `conf(Parametered parametered)`
`static void` `configureParameters(Parametered parametered, org.apache.hadoop.conf.Configuration jobConf)`

`static void`

`configureParameters(String prefix, Parametered parametered, org.apache.hadoop.conf.Configuration jobConf)`
Calls `Parametered.createParameters(String,org.apache.hadoop.conf.Configuration)` on parameter parmetered, and then recur down its composite tree to invoke `Parametered.createParameters(String,org.apache.hadoop.conf.Configuration)` and `Parametered.configure(org.apache.hadoop.conf.Configuration)` on each composite part.

`static String` `help(Parametered parametered)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### configureParameters

    public static void configureParameters(Parametered parametered,
                                           org.apache.hadoop.conf.Configuration jobConf)

### configureParameters

    public static void configureParameters(String prefix,
                                           Parametered parametered,
                                           org.apache.hadoop.conf.Configuration jobConf)

  Calls `Parametered.createParameters(String,org.apache.hadoop.conf.Configuration)` on parameter parmetered, and then recur down its composite tree to invoke `Parametered.createParameters(String,org.apache.hadoop.conf.Configuration)` and `Parametered.configure(org.apache.hadoop.conf.Configuration)` on each composite part.

  Parameters:
    `prefix` - ends with a dot if not empty.
    `parametered` - instance to be configured
    `jobConf` - configuration used for retrieving values

### help

    public static String help(Parametered parametered)

### conf

    public static String conf(Parametered parametered)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.